Bug 1576056 - Review Request: python-pyte - Simple VTXXX-compatible linux terminal emulator
Summary: Review Request: python-pyte - Simple VTXXX-compatible linux terminal emulator
Keywords:
Status: CLOSED DUPLICATE of bug 1931054
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1576812 1920084
TreeView+ depends on / blocked
 
Reported: 2018-05-08 16:51 UTC by Mateusz Mikuła
Modified: 2021-02-20 10:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-20 10:42:33 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Mateusz Mikuła 2018-05-08 16:51:37 UTC
Spec URL: https://gitlab.com/mati865/pyte-fedora/blob/master/python-pyte.spec
SRPM URL: https://gitlab.com/mati865/pyte-fedora/raw/master/python-pyte-0.8.0-1.fc28.src.rpm
Description: It's an in memory VTXXX-compatible terminal emulator.
XXX stands for a series of video terminals, developed by DEC between 1970 and 1995.

Fedora Account System Username: mati865

Additional info: Prerequisite to update thefuck package in Fedora repo

Comment 1 Guido Aulisi 2018-05-11 09:46:54 UTC
This is an informal preliminary review.

You should use raw content for spec files, so fedora-review can use them.
Spec URL should be:
https://gitlab.com/mati865/pyte-fedora/raw/master/python-pyte.spec

I think license should be  LGPLv3+

Description lines are too long, please wrap them.

Different spec files in url and in SRPM

Comment 2 Mateusz Mikuła 2018-05-11 16:05:55 UTC
Thank you for help.

> I think license should be  LGPLv3+
I couldn't find like `or later` in the repository and it's listed as `LGPLv3` on PyPI.

Addressed other things, cannot edit description so posting it here:


Spec URL: https://gitlab.com/mati865/pyte-fedora/raw/master/python-pyte.spec
SRPM URL: https://gitlab.com/mati865/pyte-fedora/raw/master/python-pyte-0.8.0-1.fc28.src.rpm
Description:
It's an in memory VTXXX-compatible terminal emulator.
XXX stands for a series of video terminals,\
developed by DEC between 1970 and 1995.

Fedora Account System Username: mati865

Comment 3 Guido Aulisi 2018-05-12 11:13:01 UTC
Informal review - cont.

You can wrap description in the spec file without backslashes, it was a rpmlint error

You should include in %doc the file README, because README.rst is a symlink to README (reported by rpmlint)

Comment 4 Robert-André Mauchin 🐧 2018-05-12 22:29:19 UTC
Package is fine to be approved after you fix the README issue mentioned by Guido.

However since you're not already a packager, you'll need to find a sponsor as stated in https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3)", "Unknown or generated". 53 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /python-pyte/review-python-pyte/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 0 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pyte , python3-pyte
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pyte-0.8.0-1.fc29.noarch.rpm
          python3-pyte-0.8.0-1.fc29.noarch.rpm
          python-pyte-0.8.0-1.fc29.src.rpm
python2-pyte.noarch: W: dangling-relative-symlink /usr/share/doc/python2-pyte/README.rst README
python3-pyte.noarch: W: dangling-relative-symlink /usr/share/doc/python3-pyte/README.rst README
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 5 Mateusz Mikuła 2018-05-14 16:47:14 UTC
Thank you for comments.

Links remain the same.
Adressed:
- Removed backslashes from description
- Changed %doc to pick README instead of symlink

Guess I'll look for a sponsor now.

Comment 6 Robert-André Mauchin 🐧 2018-10-04 16:13:18 UTC
I've sent a mail to Mateusz for the potential sponsorship

Comment 7 Mateusz Mikuła 2019-12-18 11:45:27 UTC
Sorry I don't have enough time to finish it.

Comment 8 Terje Røsten 2021-02-07 15:39:59 UTC
spec: https://terjeros.fedorapeople.org/python-pyte/python-pyte.spec
srpm: https://terjeros.fedorapeople.org/python-pyte/python-pyte-0.8.0-1.fc33.src.rpm
user: terjeros
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=61532437
desc: 
It's an in memory VTXXX-compatible terminal emulator.  XXX stands for
a series of video terminals, developed by DEC between 1970 and 1995.

Comment 9 Terje Røsten 2021-02-07 15:52:14 UTC
Fixed file listing and release:

spec: https://terjeros.fedorapeople.org/python-pyte/python-pyte.spec
srpm: https://terjeros.fedorapeople.org/python-pyte/python-pyte-0.8.0-2.fc33.src.rpm
user: terjeros
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=61532613
lint: 2 packages and 0 specfiles checked; 0 errors, 0 warnings
desc:
In memory VTXXX-compatible terminal emulator.  XXX stands for
a series of video terminals, developed by DEC between 1970 and 1995.

Comment 10 Robert-André Mauchin 🐧 2021-02-17 01:50:17 UTC
(In reply to Terje Røsten from comment #9)
> Fixed file listing and release:
> 
> spec: https://terjeros.fedorapeople.org/python-pyte/python-pyte.spec
> srpm:
> https://terjeros.fedorapeople.org/python-pyte/python-pyte-0.8.0-2.fc33.src.
> rpm
> user: terjeros
> koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=61532613
> lint: 2 packages and 0 specfiles checked; 0 errors, 0 warnings
> desc:
> In memory VTXXX-compatible terminal emulator.  XXX stands for
> a series of video terminals, developed by DEC between 1970 and 1995.

You should open your own bug and mark this one as Duplicate as the script to create new repo checks who is the initial reporter of the bug.

NEEDINFO me for the new review if needed.

Comment 11 Terje Røsten 2021-02-20 10:42:33 UTC

*** This bug has been marked as a duplicate of bug 1931054 ***


Note You need to log in before you can comment on or make changes to this bug.